/// <reference types="node" />
import { EventEmitter } from "events";
import { WsClientOptions, Call, AnyJson, ConnectionState, SendOptions, XrplClientEvents } from "./types";
export * from "./types";
export declare interface XrplClient {
    on<U extends keyof XrplClientEvents>(event: U, listener: XrplClientEvents[U]): this;
}
export declare class XrplClient extends EventEmitter {
    private eventBus;
    private closed;
    private uplinkReady;
    private options;
    private callId;
    private endpoints;
    private endpoint;
    private connection;
    private pendingCalls;
    private subscriptions;
    private serverInfo?;
    private serverState;
    private lastContact?;
    constructor(endpoint?: string | string[], options?: WsClientOptions);
    ready(): Promise<XrplClient>;
    send(call: Call, sendOptions?: SendOptions): Promise<AnyJson>;
    getState(): ConnectionState;
    close(): void;
}
